% Aufgabe 1a: berprfung der Einlesefunktion
% 
% Anfangseinstellungen:
% Kanal IN1: Beliebiges Signal vom Funktionsgenerator mit Us=1V und f<=1kHz
% Kanal IN2: 0V, beide Leiter auf GND
% 
% '%' beginnt einen Kommentar
% ';' unterdrckt die Ausgabe einer Befehlszeile im Command Window
% 'close all' schliet alle figures
% 'clear all' lscht alle Variablen
% 'clc' leert das Command Window
% 'Startwert:Inkrement:Endwert' erzeugt einen Vektor
% 'figure' erzeugt ein neues Fenster
% 'plot' Zeichnet ein Diagramm
% 'hist' Zeichnet ein Histogramm
% 'mean' Arithmetischer Mittelwert
% 'save' Speichert Variablen in eine Datei
% 'load' ldt Variablen aus einer Datei

% Leeren des Command Window
clc

% Werte fr die Einlesefunktion
N = 1000;       % Anzahl der einzulesenden Werte, Vektorlnge
fs = 10000;     % Samplefrequenz, Abtastrate
vrange = 2.5;   % Eingangsspannungsbereich +- um 0V

% Einlesen eines Signals x von Kanal IN1
% Konfiguration der Messhardware auf die gewnschten Parameter
reamio('configure',N,fs,vrange,'average');

% Einlesen von Kanal IN1 und Speichern der Messwerte in x
x = reamio('in',1);

% Definition des Zeitvektors t
% 'Startwert:Inkrement:Endwert' erzeugt einen Vektor
t = (0:N-1)/fs;

% Darstellen des eingelesenen Signals x
figure(1)       % Erzeugt ein neues Fenster mit der Nummerierung 1
plot(t,x)       % Plotten von x=f(t)
title('x(t)')   % Titel fr figure(1)
xlabel('t in s')% Beschriftung der X-Achse fr figure(1)
ylabel('x in V')% Beschriftung der Y-Achse fr figure(1)
grid on, zoom on% Darstellen des Rasters, sofort Zoommodus verwenden

% Einlesen von Kanal 2 mit den drei unterschiedlichen Einlese-Methoden
reamio('configure',N,fs,vrange,'decimate');
xD = reamio('in',2);

reamio('configure',N,fs,vrange,'average');
xA = reamio('in',2);

reamio('configure',N,fs,vrange,'minmax');
xMM = reamio('in',2);

% Darstellen von xD, xA und xMM in einem gemeinsamen Plot
figure(2)
plot(t,xD, ...
    t,xA, ...
    t(1:2:end), xMM(1:2:end), ...
    t(1:2:end), xMM(2:2:end))
title('x(t) Vergleich ''decimate'', ''average'' und ''minmax''')
xlabel('t in s')
ylabel('xD, xA und xMM in V')

% Darstellen des Histogrammes bei unterschiedlichen Einlesemethoden
% Vergleichen Sie die Histogramme der unterschiedlichen Einlesemethoden
% Verndern Sie den Parameter von hist
figure(3)
hist(xD,100)     % Stellt das Histogramm von xD mit 100 Unterteilungen dar
title('Histogramm von xD')

% Gain- und Offsetkorrektur
% Ermitteln sie fr beide Kanle die Werte fr die Gain- und
% Offsetkorrektur
% Speichern Sie die Korrekturwerte mit folgenden Befehlen dauerhaft ab um
% sie fr sptere Aufgaben verfgbar zu haben. So werden sie auch nicht
% durch ein 'clear all' gelscht.
% mean Berechnet das arithmetische Mittel eines Vektors
% 'save' Speichert Variablen in eine Datei

% Einlesen von beiden Kanlen gleichzeitig
reamio('configure',N,fs,vrange,'average');
[x1 x2] = reamio('in',12);

    % Hier bitte richtige Werte einfgen 
off_corr_1=0;
off_corr_2=0;
gain_corr_1=1;
gain_corr_2=1;


% Korrigieren von x
% Sobald Sie die Korrekturwerte ermittelt haben fhren Sie hier die
% Korrektur der eingelesenen Werte durch

    % Hier bitte Code einfgen

% Darstellung des korrigierten Signals x
% Stellen Sie das korrigierte Signal x dar

    % Hier bitte Code einfgen














