% Aufgabe 4: Darstellen eines Betragsspektrums, Demonstration des
% Aliasing-Effektes
% 
% Anfangseinstellungen:
% Kanal IN1 : Funktionsgenerator: Sinus Us=1V, f=500Hz
% 
% '%' beginnt einen Kommentar
% ';' unterdrckt die Ausgabe einer Befehlszeile im Command Window
% 'close all' schliet alle figures
% 'clear all' lscht alle Variablen
% 'clc' leert das Command Window
% 'Startwert:Inkrement:Endwert' erzeugt einen Vektor
% 'length' Lnge eines Vektors
% 'mean' Arithmetischer Mittelwert
% 'max' Maximalwert
% 'abs' Betrag
% 'sqrt' Wurzel
% 'fft' Diskrete Fouriertransformation
% 'fftshift' vertausche obere und untere Vektorhlfte
% 'interpft' Fhrt eine Sinc-Interpolation durch

%  Korrekturwerte einsetzen
off_corr_1=0;
off_corr_2=0;
gain_corr_1=1;
gain_corr_2=1;

% Werte fr die Einlesefunktion
N = 1000;
fs = 10000;
vrange = 2.5;

% Sonstige Variablen
upsample_factor = 100;
N_upsampled = N * upsample_factor;
fs_upsampled = fs * upsample_factor;

% Erzeugen des Stop-Button-Fensters
make_panel

% Konfiguration der Messhardware auf die gewnschten Parameter
% Diesmal wird ein Trigger verwendet um ein Stehendes Bild zu erreichen
% Es muss 'decimate' verwendet werden um die negativen Auswirkungen des
% Aliasing sehen zu knnen
reamio('configure',N,fs,vrange,'decimate',1,'rising',0.5)

% Erstellen des Zeitvektors t
t = (0:N-1)/fs;

% Erstellen des upgesampleden Zeitvektors t_upsampled
t_upsampled = (0:N_upsampled-1)/fs_upsampled;

% Erstellen des Frequenzvektors f in kHz
% Hier bitte Code ergnzen
f = (?:fs/N:?)/1000

% Schleife luft bis Stop-Button gedrckt wird
while not_stop()

    % Einlesen von Kanal IN1 und Korrektur
    x = reamio('in',1);
    x = (x-off_corr_1).*gain_corr_1;
    
    % Betragsspektrum von x
    % Hier bitte Code ergnzen
    X =
    
    % Sinc-Interpolation von x
    % Hier bitte Code ergnzen
    x_upsampled = interpft(x, N_upsampled);
    
    sfigure(1)
    plot(t,x)
    title('x(t)')
    xlabel('t in s')
    ylabel('x(t) in V')
    grid on, zoom on
    
    sfigure(2)
    plot(f,X)
    title('|X(f)| - Betragsspektrum von x')
    xlabel('f in kHz')
    ylabel('|X(f)|')
    grid on, zoom on
    
    % Darstellung des Interpolierten Signals x_upsampled(t) und des
    % ursprnglichen Signals x(t) strichliert
    sfigure(3)
    plot(t_upsampled,x_upsampled,...
        t, x, '.--')
    title('x_u_p_s_a_m_p_l_e_d(t) - Sinc-Interpolation von x(t)')
    xlabel('t in s')
    ylabel('x(t), x_u_p_s_a_m_p_l_e_d(t) in V')
    grid on, zoom on
    
end